net.sourceforge.jnlp

## Class DefaultLaunchHandler

- java.lang.Object
- - net.sourceforge.jnlp.AbstractLaunchHandler
  - - net.sourceforge.jnlp.DefaultLaunchHandler

- All Implemented Interfaces:
    LaunchHandler

      public class DefaultLaunchHandler
      extends AbstractLaunchHandler

  This default implementation shows prints the exception to stdout and if not in headless mode displays the exception in a dialog.

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.jnlp.AbstractLaunchHandler

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultLaunchHandler(net.sourceforge.jnlp.util.logging.OutputController out)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `launchCompleted(ApplicationInstance application)` Called when an application, applet, or installer has been launched successfully (the main method or applet start method returned normally).
    `void` | `launchError(LaunchException exception)` Called when the application could not be launched due to a fatal error, such as the inability to find the main class or non-parseable XML.
    `void` | `launchInitialized(JNLPFile file)` Do nothing on when initializing
    `void` | `launchStarting(ApplicationInstance application)` Do nothing when starting
    `boolean` | `launchWarning(LaunchException warning)` Called when launching the application can not be launched due to an error that is not fatal.
    `boolean` | `validationError(LaunchException error)` Called when a security validation error occurs while launching the application.

    - ### Methods inherited from class net.sourceforge.jnlp.AbstractLaunchHandler

      `printMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultLaunchHandler

          public DefaultLaunchHandler(net.sourceforge.jnlp.util.logging.OutputController out)

  - ### Method Detail

    - #### launchError

          public void launchError(LaunchException exception)

      Called when the application could not be launched due to a fatal error, such as the inability to find the main class or non-parseable XML.
      Parameters:
        `exception` - to be re-thrown as launch error

    - #### launchWarning

          public boolean launchWarning(LaunchException warning)

      Called when launching the application can not be launched due to an error that is not fatal. For example a JNLP file that is not strictly correct yet does not necessarily prohibit the system from attempting to launch the application.
      Parameters:
        `warning` - exception to be consummed as warning
      Returns:
        true if the launch should continue, false to abort

    - #### validationError

          public boolean validationError(LaunchException error)

      Called when a security validation error occurs while launching the application.
      Parameters:
        `error` - to be rethrown as launch error
      Returns:
        true to allow the application to continue, false to stop it.

    - #### launchCompleted

          public void launchCompleted(ApplicationInstance application)

      Called when an application, applet, or installer has been launched successfully (the main method or applet start method returned normally).
      Parameters:
        `application` - the launched application instance

    - #### launchInitialized

          public void launchInitialized(JNLPFile file)

      Do nothing on when initializing
      Parameters:
        `file` - the JNLP file of the instance that is starting

    - #### launchStarting

          public void launchStarting(ApplicationInstance application)

      Do nothing when starting
      Parameters:
        `application` - the application instance that is ready

Submit a bug or feature